<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <title>BelajarBelajar</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous"></head>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
<body>
<nav th:replace="fragments/fragment :: navbar (${false}, ${true}, ${false})"></nav>
<div class="container">
    <h2>List Course</h2>
    <a class="btn btn-primary" href="/">Home</a>
    <a th:href="@{/course/add}" class="mx-2 btn btn-outline-primary">Tambah course</a>
    <table class="table">
        <thead>
            <tr>
                <th>No</th>
                <th>Code</th>
                <th>Nama</th>
                <th>Aksi</th>
            </tr>
        </thead>
    <tbody>
        <tr th:each="course, iterationStatus : ${listCourse}"
            th:style="${iterationStatus.even} ? 'font-weight:bold;'">
            <td th:text="${iterationStatus.count}"></td>
            <td th:text="${course.code}"></td>
            <td th:text="${course.nameCourse}"></td>
    
            <td>
                <a class="btn btn-primary" th:href="@{/course/view(code=${course.code})}">Detail Course</a>
                <a class="btn btn-outline-primary" th:href="@{/course/view-query(code=${course.code})}">Detail Course By Query</a>
                <a class="btn btn-warning" th:href="@{/course/update/} + ${course.code}">Update</a>
                <a class="btn btn-danger" th:href="'/course/view/' + ${course.code} + '/deletecourse'">Delete</a>
            </td>
        </tr>
    </tbody>
    </table>
</div>

</body>
</html>

